wxPlot 1.8 Real time plot library for wxWidgets

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_2DType Class Reference

Here all the 2D plot types. More...

`#include <2Dtype.hpp>`

## Public Member Functions
void | setWxPlotType (const WXPLOT_TYPE wxPlotType)
| Set the plot type selection.
void | setRadius (const wxCoord radius)
| Set radius. Most used for circles e.g filling scatter plots.
void | fillCircles (const bool fillCircle)
| Fill circles if radius is applied if circiles are going to be filled with the same colour as they are drawn.
void | setData (const std::vector< std::vector< double > > &data2D)
| Set 2D data.
void | setData (const std::vector< double > &data1D)
| Set 1D data.
void | setPlotStartWidth (const wxCoord plotStartWidth)
| Set the left upper corner in X-axis. Inside this rectangle, the plot is drawn. NOTE: This value is recalculated since the plot figure is drawn! (plotStartWidth, plotStartHeight) --------------------------------------------— (plotEndWidth, plotStartHeight)
void | setPlotStartHeight (const wxCoord plotStartHeight)
| Set the left upper corner in Y-axis. Inside this rectangle, the plot is drawn. NOTE: This value is recalculated since the plot figure is drawn! (plotStartWidth, plotStartHeight) --------------------------------------------— (plotEndWidth, plotStartHeight)
void | setPlotEndWidth (const wxCoord plotEndWidth)
| Set the right upper corner in X-axis. Inside this rectangle, the plot is drawn. NOTE: This value is recalculated since the plot figure is drawn! (plotStartWidth, plotStartHeight) --------------------------------------------— (plotEndWidth, plotStartHeight)
void | setPlotEndHeight (const wxCoord plotEndHeight)
| Set the right bottom corner in Y-axis. Inside this rectangle, the plot is drawn. NOTE: This value is recalculated since the plot figure is drawn! (plotStartWidth, plotStartHeight) --------------------------------------------— (plotEndWidth, plotStartHeight)
void | setBinCount (const unsigned int binCount)
| Set the bin count for e.g. histogram.
void | setYlim (const double minY, const double maxY)
| Set the plot zoom limit in Y-axis.
void | drawType (wxDC &dc)
| This function draw the plot e.g line, bar, histogram, spline, scatter etc. inside in this rectangle.

## Detailed Description

Here all the 2D plot types.

## Member Function Documentation

## ◆ drawType()

void _2DType::drawType | ( | wxDC & | dc | ) |

This function draw the plot e.g line, bar, histogram, spline, scatter etc. inside in this rectangle.

Parameters

  dc | The wxDC object for drawing lines, polygons etc.

## ◆ fillCircles()

void _2DType::fillCircles | ( | const bool | fillCircle | ) |

Fill circles if radius is applied if circiles are going to be filled with the same colour as they are drawn.

Parameters

  fillCircle | Set true if filled.

## ◆ setBinCount()

void _2DType::setBinCount | ( | const unsigned int | binCount | ) |

Set the bin count for e.g. histogram.

Parameters

  binCount | Bin count is total columns inside a e.g historam chart.

## ◆ setData() [1/2]

void _2DType::setData | ( | const std::vector< double > & | data1D | ) |

Set 1D data.

Parameters

  data1D | 1D data in form of 1D vector.

## ◆ setData() [2/2]

void _2DType::setData | ( | const std::vector< std::vector< double > > & | data2D | ) |

Set 2D data.

Parameters

  data2D | 2D data in form of 2D vector.

## ◆ setPlotEndHeight()

void _2DType::setPlotEndHeight | ( | const wxCoord | plotEndHeight | ) |

Set the right bottom corner in Y-axis. Inside this rectangle, the plot is drawn. NOTE: This value is recalculated since the plot figure is drawn! (plotStartWidth, plotStartHeight) --------------------------------------------— (plotEndWidth, plotStartHeight)

(plotStartWidth, plotEndHeight) --------------------------------------------— (plotEndWidth, plotEndHeight)

Parameters

  plotEndHeight | End height is at the end of Y-axis.

## ◆ setPlotEndWidth()

void _2DType::setPlotEndWidth | ( | const wxCoord | plotEndWidth | ) |

Set the right upper corner in X-axis. Inside this rectangle, the plot is drawn. NOTE: This value is recalculated since the plot figure is drawn! (plotStartWidth, plotStartHeight) --------------------------------------------— (plotEndWidth, plotStartHeight)

(plotStartWidth, plotEndHeight) --------------------------------------------— (plotEndWidth, plotEndHeight)

Parameters

  plotEndWidth | End width is at the end of X-axis.

## ◆ setPlotStartHeight()

void _2DType::setPlotStartHeight | ( | const wxCoord | plotStartHeight | ) |

Set the left upper corner in Y-axis. Inside this rectangle, the plot is drawn. NOTE: This value is recalculated since the plot figure is drawn! (plotStartWidth, plotStartHeight) --------------------------------------------— (plotEndWidth, plotStartHeight)

(plotStartWidth, plotEndHeight) --------------------------------------------— (plotEndWidth, plotEndHeight)

Parameters

  plotStartHeight | Start height is at the start of Y-axis.

## ◆ setPlotStartWidth()

void _2DType::setPlotStartWidth | ( | const wxCoord | plotStartWidth | ) |

Set the left upper corner in X-axis. Inside this rectangle, the plot is drawn. NOTE: This value is recalculated since the plot figure is drawn! (plotStartWidth, plotStartHeight) --------------------------------------------— (plotEndWidth, plotStartHeight)

(plotStartWidth, plotEndHeight) --------------------------------------------— (plotEndWidth, plotEndHeight)

Parameters

  plotStartWidth | Start width is at the start of X-axis.

## ◆ setRadius()

void _2DType::setRadius | ( | const wxCoord | radius | ) |

Set radius. Most used for circles e.g filling scatter plots.

Parameters

  radius | The radius of the circle.

## ◆ setWxPlotType()

void _2DType::setWxPlotType | ( | const WXPLOT_TYPE | wxPlotType | ) |

Set the plot type selection.

Parameters

  wxPlotType | Selection of plot type

## ◆ setYlim()

void _2DType::setYlim | ( | const double | minY,
|  | const double | maxY )

Set the plot zoom limit in Y-axis.

Parameters

  minY | Minimum limit in Y-axis.
  maxY | Maximum limit in Y-axis.

The documentation for this class was generated from the following files:

- C:/Users/danie/Documents/GitHub/wxPlot/wxPlot/src/plots/plottypes/2D/2Dtype.hpp
- C:/Users/danie/Documents/GitHub/wxPlot/wxPlot/src/plots/plottypes/2D/2Dtype.cpp